Body
-
The name of the case
-
Account uuids belonging to the firm. Must include at least one client.
-
Array of account UUIDs to assign to the case.
-
UUIDs of groups that will be assigned when the case is created.
-
The uuid of the status chosen for the case
-
The date the case should be reviewed
-
The uuid of the type chosen for the case
-
Expect value the case will generate in pennies
-
The uuids of the plans chosen for the case
-
Custom field values keyed by the custom field reference. Only references configured for cases (and matching the supplied case type/status, where conditional) are accepted.
Additional properties are allowed.
POST
/api/v1/cases
curl \
--request POST 'https://api.plannrcrm.com/api/v1/cases' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"Patrick's Case","participants":["1efd233d-05ff-43db-9279-c94fba4dafc8","30be8c5e-3a38-480c-95bc-73a742899ee3","1bc399fa-e1bd-4ef7-9a8a-8cd8c7cb5f60"],"assigned_to_uuids":["2ae8f044-8e9e-495f-bd8c-564f122e9088","ab60aa34-45c5-4c98-961d-8c0659204438","2572a0e4-f160-44d4-9f73-3a975eb944ed"],"group_uuids":["30ee3268-b309-4a51-8b89-0aa688dd30d5","fa428e0e-aae7-469b-8757-406fa89ffa74","c88bd884-371d-41a3-9c6e-f275046d45cf"],"status":"fc51f495-0891-4d79-9bd0-93b9294bf273","review_at":"2026-06-29T09:44:48+01:00","type":"a787cda3-73d3-4ff9-93dc-c07e1a7d02d3","value":15099,"plans":["a6e359d5-6960-45c0-b9e2-5ef03bb118b1","8edb19ac-6c1a-49ef-a3b7-5f7dfa00396d","35649a9c-3b3a-4d17-b0f5-99edde7defe5"],"custom_fields":{"ongoing_case":"Ongoing"}}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Patrick's Case",
"participants": [
"1efd233d-05ff-43db-9279-c94fba4dafc8",
"30be8c5e-3a38-480c-95bc-73a742899ee3",
"1bc399fa-e1bd-4ef7-9a8a-8cd8c7cb5f60"
],
"assigned_to_uuids": [
"2ae8f044-8e9e-495f-bd8c-564f122e9088",
"ab60aa34-45c5-4c98-961d-8c0659204438",
"2572a0e4-f160-44d4-9f73-3a975eb944ed"
],
"group_uuids": [
"30ee3268-b309-4a51-8b89-0aa688dd30d5",
"fa428e0e-aae7-469b-8757-406fa89ffa74",
"c88bd884-371d-41a3-9c6e-f275046d45cf"
],
"status": "fc51f495-0891-4d79-9bd0-93b9294bf273",
"review_at": "2026-06-29T09:44:48+01:00",
"type": "a787cda3-73d3-4ff9-93dc-c07e1a7d02d3",
"value": 15099,
"plans": [
"a6e359d5-6960-45c0-b9e2-5ef03bb118b1",
"8edb19ac-6c1a-49ef-a3b7-5f7dfa00396d",
"35649a9c-3b3a-4d17-b0f5-99edde7defe5"
],
"custom_fields": {
"ongoing_case": "Ongoing"
}
}
Response examples (200)
{
"uuid": "a9d5019b-d1e6-4b3c-a396-565ce7315e46",
"created_at": "2026-06-29T09:44:48+01:00",
"updated_at": "2026-06-29T09:44:48+01:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "2265f641-8cc8-4ae4-aaf8-3161b1191d3d",
"created_at": "2026-06-29T09:44:48+01:00",
"updated_at": "2026-06-29T09:44:48+01:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": "0782f2fd-764d-4526-9b58-9c8a087ef84d",
"name": "Mortgage Plan",
"created_at": "2026-06-29T09:44:48+01:00",
"updated_at": "2026-06-29T09:44:48+01:00"
},
"review_at": "2026-06-29T09:44:48+01:00",
"assigned_to_uuids": [
"ec1c6f3e-4885-486c-95a6-aafd759447ac"
],
"group_uuids": [
"4303701c-9eea-4417-b9d0-995ed643f53a"
],
"completed_at": "2026-06-29T09:44:48+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "2e71201b-ca81-4f46-ab53-5d9cc11b888d",
"created_at": "2026-06-29T09:44:48+01:00",
"updated_at": "2026-06-29T09:44:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": "App\\Http\\Resources\\FirmResource",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"business_unit": "App\\Http\\Resources\\BusinessUnitResource",
"groups": "App\\Http\\Resources\\GroupResource",
"tags": "App\\Http\\Resources\\TagResource",
"owners": "App\\Http\\Resources\\AccountResource",
"first_contact_date": "2026-06-29T09:44:48+01:00",
"next_review_date": "2026-06-29T09:44:48+01:00",
"previous_review_date": "2026-06-29T09:44:48+01:00",
"anniversary_review_date": "2026-06-29T09:44:48+01:00",
"terms_of_business_at": "2026-06-29T09:44:48+01:00",
"client_agreement_at": "2026-06-29T09:44:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"circles": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"inactive_at": "2026-06-29",
"last_interaction_at": "2026-06-29 09:44:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"task_board_uuid": "2216712c-be47-4a78-8240-1bf792925422",
"plans": {
"uuid": "8d4f0b97-c4fb-4b23-bd13-4fe080447080",
"created_at": "2026-06-29T09:44:48+01:00",
"updated_at": "2026-06-29T09:44:48+01:00",
"opened_at": "2026-06-29T09:44:48+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-06-29T09:44:48+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-06-29",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-06-29",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"main_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
"sub_accounts": "App\\Http\\Resources\\Plans\\SubAccountResource",
"provider": "App\\Http\\Resources\\Plans\\ProviderResource",
"covers": "App\\Http\\Resources\\Plans\\CoverResource",
"claims": "App\\Http\\Resources\\Plans\\ClaimResource",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
}
},
"latest_valuations": "App\\Http\\Resources\\Plans\\ValuationResource",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"valued_at": "2026-06-29T09:44:48+01:00",
"original_valued_at": "2026-06-28T09:44:48+01:00",
"client": "App\\Http\\Resources\\AccountResource",
"accounts": "App\\Http\\Resources\\AccountResource",
"seller": "App\\Http\\Resources\\AccountResource",
"linked_owners": "App\\Http\\Resources\\AccountResource",
"linked_plans": "App\\Http\\Resources\\Plans\\PlanResource",
"visible_to_circles": "App\\Http\\Resources\\CircleResource",
"statistics": {
"recent_growth": 100
},
"cases": "App\\Http\\Resources\\CasesResource",
"tags": "App\\Http\\Resources\\TagResource",
"is_wrap_product": false,
"is_wrap_child": false,
"wrap": "App\\Http\\Resources\\Plans\\PlanResource",
"wrap_children": "App\\Http\\Resources\\Plans\\PlanResource",
"linked_policy_numbers": "App\\Http\\Resources\\Plans\\LinkedPolicyNumberResource",
"can_be_deleted": "false",
"contract_enquiry_account": "App\\Http\\Resources\\AccountResource",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"custom_fields": [
{
"uuid": "6942d5b3-ae0b-42d8-9f4b-f4a6d0e85024",
"created_at": "2026-06-29T09:44:48+01:00",
"updated_at": "2026-06-29T09:44:48+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
]
}